Bug 202775 - CVE-2006-4144 ImageMagick ReadSGIImage() integer overflow
CVE-2006-4144 ImageMagick ReadSGIImage() integer overflow
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Norm Murray
source=fulldisclosure,impact=moderate...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-16 09:27 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: ImageMagick-6.2.8.0-3.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-30 23:50:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-08-16 09:27:04 EDT
+++ This bug was initially created as a clone of Bug #202773 +++

An integer overflow bug was posted to full-disclosure describing an integer
overflow bug in the way ImageMagick parses SGI image files.

http://www.securityfocus.com/archive/1/archive/1/443208/100/0/threaded

-- Additional comment from bressers@redhat.com on 2006-08-16 09:17 EST --
Created an attachment (id=134304)
Demo Image from the reporter


-- Additional comment from bressers@redhat.com on 2006-08-16 09:18 EST --
The patch for this issue can be extraced from subversion:
svn diff -r 3812:3813 https://subversion.imagemagick.org/subversion/
Comment 1 Norm Murray 2006-11-30 23:50:02 EST
fixed in current release

Note You need to log in before you can comment on or make changes to this bug.